package fr.inra.pappso.gui;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextPane;
import javax.swing.Timer;

import fr.inra.pappso.pipeline.process;

public class running extends JDialog implements ActionListener {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6312310483564860213L;

	private JTextPane current_process = new JTextPane();

	private JButton Action1;

	private process t;

	private Timer timer;

	public running(JFrame owner, boolean modal, process pro) {
		super(owner, modal);
		// initialise la fenetre
		init();
		t = pro;
		t.setDaemon(true);
		t.start();
		// regle et affiche la fenetre
		setSize(250, 130);
		setLocationRelativeTo(owner);
		setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
		setVisible(true);
	}

	private void init() {
		Action1 = new JButton("Stop");
		Action1.addActionListener(this);

		JPanel panel = new JPanel();
		panel.add(Action1);
		current_process.setContentType("text/html");
		current_process.setText("<p>Initialising</p>");
		current_process.setEditable(false);
		getContentPane().add(panel, BorderLayout.SOUTH);
		getContentPane().add(new JScrollPane(current_process),
				BorderLayout.CENTER);

		timer = new Timer(500, this);
		timer.setInitialDelay(0);
		timer.start();

	}

	private void stopping() {
		timer.stop();
		this.dispose();
	}

	private void actualised() {
		current_process.setText(t.getView());
		repaint();
	}

	public void actionPerformed(ActionEvent evt) {
		if (evt.getSource() == Action1) {
			String composant = evt.getActionCommand();
			if (composant.equalsIgnoreCase("Stop")) {
				t.setStop(true);
			}
		} else if (evt.getSource() == timer) {
			actualised();
			if (!t.isAlive())
				stopping();
		}
	}
}
